Skip to main content
POST
/
checkout
/
sessions
curl --request POST \ --url https://api-sandbox.y.uno/v1/checkout/sessions \ --header 'Content-Type: application/json' \ --header 'private-secret-key: <api-key>' \ --header 'public-api-key: <api-key>' \ --data ' { "account_id": "{{account_id}}", "merchant_order_id": "1717681150", "payment_description": "Test Cards", "country": "CO", "customer_id": "{{customer_id}}", "callback_url": "https://www.example.com", "amount": { "currency": "COP", "value": 8000 }, "alternative_amount": { "currency": "USD", "value": 2 }, "metadata": [ { "key": "ID", "value": "123456" } ], "recurring_payment": { "description": "Monthly subscription", "management_url": "https://example.com/manage", "billing_agreement": "BA-123", "regular_billing": { "label": "Monthly", "amount": "9.99", "interval_unit": "month", "interval_count": 1 }, "trial_billing": { "label": "Free trial", "amount": "0.00", "interval_unit": "month", "interval_count": 1 } } } '
{ "merchant_order_id": "1717681150", "checkout_session": "d313047b-4f96-44ef-bbad-caf1d7ba4c2b", "country": "US", "payment_description": "Test Cards", "customer_id": "a577ad8f-08f1-4590-9cf1-e7679b15ee84", "callback_url": "https://www.example.com/callback", "amount": { "currency": "USD", "value": 520 }, "created_at": "2024-06-06T13:39:10.932297Z", "metadata": null, "workflow": "SDK_CHECKOUT", "installments": { "plan_id": null, "plan": null } }
This request creates a checkout session using the unique identifier generated when the customer resource was created.
If your workflow requires sending the additional_data object, it can be sent as part of the checkout session.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Body

application/json
merchant_order_id
string
required

The unique identifier of the customer's order (MAX 255; MIN 3).

payment_description
string
required

The description of the payment (MAX 255; MIN 3).

country
enum<string>
required

The customer's country (MAX 2; MIN 2; ISO 3166-1).

Available options:
AR,
BO,
BR,
CL,
CO,
CR,
EC,
SV,
GT,
HN,
MX,
NI,
PA,
PY,
PE,
US,
UY
account_id
string
required

The unique identifier of the account. You find this information on the Yuno dashboard (UUID, 36 chars).

customer_id
string

The unique identifier of the customer, created using the Create Customer endpoint (UUID, 36 chars).

callback_url
string

The URL where we will redirect your customer after making the purchase. Required for alternative payment methods with redirection. (MAX 526; MIN 3)

amount
object

Specifies the payment amount object, with the value and currency.

alternative_amount
object

Alternative currency representation of the transaction amount.

metadata
object[]

Specifies a list of metadata objects. You can add up to 120 metadata objects.

workflow
enum<string>

Checkout workflow type.

Available options:
SDK_CHECKOUT,
CHECKOUT,
SDK_SEAMLESS
installments
object

The object to send the installment plan created in Yuno to show your customers and let them choose from. This optional field is used in case a particular installments plan needs to be used in the session. if not sent, we will display the installment plan created for the account for each scenario, if any.

recurring_payment
object

Optional object to enable and configure recurring payments (subscriptions).

Response

200

merchant_order_id
string
Example:

"1717681150"

checkout_session
string
Example:

"d313047b-4f96-44ef-bbad-caf1d7ba4c2b"

country
string
Example:

"US"

payment_description
string
Example:

"Test Cards"

customer_id
string
Example:

"a577ad8f-08f1-4590-9cf1-e7679b15ee84"

callback_url
string
Example:

"https://www.example.com/callback"

amount
object
created_at
string
Example:

"2024-06-06T13:39:10.932297Z"

metadata
any
workflow
string
Example:

"SDK_CHECKOUT"

installments
object